Get conversation messages
Retrieve messages for a specific conversation, including tool calls made by the assistant.
GET
/
ai
/
conversations
/
{conversation_id}
/
messages
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const messageListResponse of client.ai.conversations.messages.list('conversation_id')) {
console.log(messageListResponse.role);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.conversations.messages.list(
conversation_id="conversation_id",
)
page = page.data[0]
print(page.role)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AI.Conversations.Messages.List(
context.TODO(),
"conversation_id",
telnyx.AIConversationMessageListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.messages.MessageListPage;
import com.telnyx.sdk.models.ai.conversations.messages.MessageListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessageListPage page = client.ai().conversations().messages().list("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.conversations.messages.list("conversation_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->conversations->messages->list(
'conversation_id', pageNumber: 1, pageSize: 1
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:messages list \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id}/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"text": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"created_at": "2025-04-15T13:07:28.764Z",
"sent_at": "2025-04-15T13:07:28.764Z"
}
],
"meta": {
"total_pages": 123,
"total_results": 123,
"page_number": 123,
"page_size": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the conversation.
Query Parameters
The number of messages to return per page.
Required range:
1 <= x <= 100The page number to retrieve.
Required range:
x >= 1Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const messageListResponse of client.ai.conversations.messages.list('conversation_id')) {
console.log(messageListResponse.role);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.conversations.messages.list(
conversation_id="conversation_id",
)
page = page.data[0]
print(page.role)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AI.Conversations.Messages.List(
context.TODO(),
"conversation_id",
telnyx.AIConversationMessageListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.messages.MessageListPage;
import com.telnyx.sdk.models.ai.conversations.messages.MessageListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessageListPage page = client.ai().conversations().messages().list("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.conversations.messages.list("conversation_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->conversations->messages->list(
'conversation_id', pageNumber: 1, pageSize: 1
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations:messages list \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id}/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"text": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"created_at": "2025-04-15T13:07:28.764Z",
"sent_at": "2025-04-15T13:07:28.764Z"
}
],
"meta": {
"total_pages": 123,
"total_results": 123,
"page_number": 123,
"page_size": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}